| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::OctreeZoneData Class Reference
Plugins » OctreeZone

`#include <OgreOctreeZone.h>`

Inheritance diagram for Ogre::OctreeZoneData:
[legend]

## Public Member Functions
| OctreeZoneData (PCZSceneNode *, PCZone *)
| Standard Constructor. More...
| ~OctreeZoneData ()
| Standard destructor. More...
bool | _isIn (AxisAlignedBox &box)
Octree * | getOctant ()
| Returns the Octree in which this OctreeNode resides. More...
void | setOctant (Octree *o)
| Sets the Octree in which this OctreeNode resides. More...
void | update (void)
| Update data. More...

## Public Attributes
PCZSceneNode * | mAssociatedNode
PCZone * | mAssociatedZone
Octree * | mOctant
| Octree this node is attached to. More...
AxisAlignedBox | mOctreeWorldAABB
| Octree-specific world bounding box (only includes attached objects, not children) More...

## Constructor & Destructor Documentation

## ◆ OctreeZoneData()

Ogre::OctreeZoneData::OctreeZoneData | ( | PCZSceneNode * | ,
|  | PCZone * |
| ) |  |

Standard Constructor.

## ◆ ~OctreeZoneData()

Ogre::OctreeZoneData::~OctreeZoneData | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ update()

void Ogre::OctreeZoneData::update | ( | void |  | ) |
| virtual

Update data.

Reimplemented from Ogre::ZoneData.

## ◆ getOctant()

Octree* Ogre::OctreeZoneData::getOctant | ( |  | ) |
| inline

Returns the Octree in which this OctreeNode resides.

## ◆ setOctant()

void Ogre::OctreeZoneData::setOctant | ( | Octree * | o | ) |
| inline

Sets the Octree in which this OctreeNode resides.

## ◆ _isIn()

bool Ogre::OctreeZoneData::_isIn | ( | AxisAlignedBox & | box | ) |

## Member Data Documentation

## ◆ mOctant

Octree* Ogre::OctreeZoneData::mOctant

Octree this node is attached to.

## ◆ mOctreeWorldAABB

AxisAlignedBox Ogre::OctreeZoneData::mOctreeWorldAABB

Octree-specific world bounding box (only includes attached objects, not children)

## ◆ mAssociatedZone

PCZone* Ogre::ZoneData::mAssociatedZone
| inherited

## ◆ mAssociatedNode

PCZSceneNode* Ogre::ZoneData::mAssociatedNode
| inherited

The documentation for this class was generated from the following file:

- OgreOctreeZone.h